package com.usoftchina.qywx.sdk.test;

import com.usoftchina.qywx.sdk.ScheduleSdk;
import com.usoftchina.qywx.sdk.dto.AddScheduleReq;
import org.junit.Test;

import java.util.Arrays;

/**
 * @author yingp
 */
public class ScheduleSdkTest extends BaseTest {

    private static ScheduleSdk sdk;

    static {
        sdk = new ScheduleSdk(properties);
    }

    @Test
    public void addSchedule() {
        long now = System.currentTimeMillis();
        String id = sdk.addSchedule(new AddScheduleReq()
                .organizer("YingPeng")
                .summary("测试日程")
                .description("测试日程详情")
                .attendees(Arrays.asList("YeZi"))
                .during(now / 1000 + 360, now / 1000 + 3660)
                .remindBefore(300));
        System.out.println(id);
    }
}
